<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css">
    <script src="https://cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js"></script>
    <script src="/js/datatable.js"></script>
    <script src="/js/main.js"></script>
    <style>
body {font-family: Arial;}

.tab {
  overflow: hidden;
  border: 1px solid #ccc;
  background-color: #f1f1f1;
}

.tab button {
  background-color: inherit;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  transition: 0.3s;
  font-size: 17px;
}

.tab button:hover {
  background-color: #ddd;
}

.tab button.active {
  background-color: #ccc;
}

.tabcontent {
  display: none;
  padding: 6px 12px;
  border: 1px solid #ccc;
  border-top: none;
}
</style>
</head>
<body>

<h2>Projects task manager</h2>
<div class="tab">
    <button class="tablinks" onclick="openTab(event, 'upload')">Upload projects</button>
    <button class="tablinks" onclick="openTab(event, 'view')">View projects task</button>
</div>

<div id="upload" class="tabcontent">
    <p>Upload projects</p>
    <form id="singleUploadForm" name="singleUploadForm">
        <input id="singleFileUploadInput" type="file" name="file" class="file-input" required />
        <button type="submit" class="primary submit-btn">Submit</button>
    </form>
    <div class="upload-response">
        <div id="singleFileUploadError"></div>
        <div id="singleFileUploadSuccess"></div>
    </div>
</div>

<div id="view" class="tabcontent">
    <table id="taskTable" class="display">

        <thead>
        <tr>
            <th>Project</th>
            <th>Key</th>
            <th>Description</th>
        </tr>
        </thead>
    </table>
</div>

<script>
function openTab(evt, action) {
  var i, tabcontent, tablinks;
  tabcontent = document.getElementsByClassName("tabcontent");
  for (i = 0; i < tabcontent.length; i++) {
    tabcontent[i].style.display = "none";
  }
  tablinks = document.getElementsByClassName("tablinks");
  for (i = 0; i < tablinks.length; i++) {
    tablinks[i].className = tablinks[i].className.replace(" active", "");
  }
  document.getElementById(action).style.display = "block";
  evt.currentTarget.className += " active";
}
</script>
<script src="/js/main.js"></script>
</body>
</html>
